# Class CIM_J2eeNotification
extends CIM_ProcessIndication

The J2eeNotification class specifies the properties that must be included in every event that is generated by a J2EE managed object that supports the event model. All management systems that support event notification must support all of the properties in this class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Indication
|
+--CIM_ProcessIndication
|
+--CIM_J2eeNotification

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The J2eeNotification class specifies the properties that must be included in every event that is generated by a J2EE managed object that supports the event model. All management systems that support event notification must support all of the properties in this class.
Indication | boolean | true
UMLPackagePath | string | CIM::Application::J2eeAppServer
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IndicationIdentifier | string |
Description | string | The identifier for the indication, represented as the name of the source J2EE managed object that generated the event. The name MUST be constructed using the form specified in JSR77.3.1.1.1.
MappingStrings | string | JSR77.JCP|JSR77.4.2.1.1 source|V1.0
ModelCorrespondence | string | CIM_J2eeManagedObject.InstanceID
Override | string | IndicationIdentifier
IndicationType | uint16 |

Description

string

The type of the indication. The type is assigned by the source object that generated the indication. It conveys the semantic meaning of the particular indication. The standard types (starting, stopping, running, etc.) MUST be described by this property's enumeration. Other values MAY also be specified by entering 1 ("Other") in this property and placing the type's string value in OtherIndicationType. The latter SHOULD be interpreted as a number of dot-separated components. This allows some structure in the naming of indication types. Source objects are free to define any types that they wish to use when naming the indications that they generate. Note that this enumeration is defined by examining J2eeManagedObject's OperationalStatus property, by the creation or deletion of the J2eeManagedObject instance, or is the decision of the JSR77 experts or the implementation. It is not a one-to-one mapping of the OperationalStatus property in ManagedSystemElement, and is therefore a unique enumeration and specific ProcessIndication.

MappingStrings | string | JSR77.JCP|JSR77.4.2.1.4 type|V1.0
ModelCorrespondence | string | CIM_J2eeNotification.OtherIndicationType
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8
Values | string | Unknown, Other, j2ee.object.created, j2ee.object.deleted, j2ee.state.starting, j2ee.state.running, j2ee.state.stopping, j2ee.state.stopped, j2ee.state.failed
Message | string |
Description | string | An informational message about the indication.
OtherIndicationType | string |
Description | string | The type of the indication when a non-standard event is generated by the source object. This value MUST be specified when IndicationType is set to 1 ("Other").
ModelCorrespondence | string | CIM_J2eeNotification.IndicationType
SequenceNumber | sint64 |
Description | string | The sequence number of the indication. Identifies the position of the indication in a stream of indications. The sequence number provides a means of determining the order of sequential indications that occurred with the same timestamp (within the minimum supported unit of time).
MappingStrings | string | JSR77.JCP|JSR77.4.2.1.3 sequence|V1.0
ModelCorrespondence | string | CIM_Indication.SequenceContext
Override | string | SequenceNumber
UserData | string |
Description | string | Optional data that the notication broadcaster wishes to communicate to listeners. The content of the data is user specific. The UserData property may be null.
OctetString | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
IndicationFilterName | string | CIM_Indication
IndicationTime | datetime | CIM_Indication
OtherSeverity | string | CIM_Indication
PerceivedSeverity | uint16 | CIM_Indication
SequenceContext | string | CIM_Indication
CorrelatedIndications | string[] | CIM_Indication

## Class Methods